# ionoscloud\_s3\_public\_access\_block

Manages **public access for Buckets** on IONOS CLOUD.

## Example Usage

```hcl
resource "ionoscloud_s3_bucket_public_access_block" "example"{
  bucket = ionoscloud_s3_bucket.example.name
  ignore_public_acls = true
  restrict_public_buckets = true
  block_public_policy = false
  block_public_acls = false
}

```

## Argument Reference

The following arguments are supported:

* `bucket` - (Required)\[string] The name of the bucket where the object will be stored.
* `ignore_public_acls` - (Optional)\[bool] Instructs the system to ignore any ACLs that grant public access. Even if ACLs are set to allow public access, they will be disregarded.
* `restrict_public_buckets` - (Optional)\[bool] Restricts access to buckets that have public policies. Buckets with policies that grant public access will have their access restricted.
* `block_public_policy` - (Optional)\[bool] Blocks public access to the bucket via bucket policies. Bucket policies that grant public access will not be allowed.
* `block_public_acls` - (Optional)\[bool] Indicates that access to the bucket via Access Control Lists (ACLs) that grant public access is blocked. In other words, ACLs that allow public access are not permitted.

## Import

Resource Bucket access block can be imported using the `bucket name`

```shell
terraform import ionoscloud_s3_bucket_public_access_block.example example
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/resources/s3_bucket_public_access_block.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
